unit BaseFormU;

interface

uses
  SysUtils, Types, Classes, Variants, QGraphics, QControls, QForms, QDialogs,
  QExtCtrls, QTypes, QMenus, QComCtrls, QImgList, QActnList, QStdActns;

type
  TfrmBaseForm = class(TForm)
    alActions: TActionList;
    imgsImages: TImageList;
    barInfo: TStatusBar;
    timClock: TTimer;
    mnuMenuBar: TMainMenu;
    mniFile: TMenuItem;
    mniFileClose: TMenuItem;
    mniEdit: TMenuItem;
    mniEditCut: TMenuItem;
    mniEditCopy: TMenuItem;
    mniEditPaste: TMenuItem;
    mniEditDelete: TMenuItem;
    mniEditSelectAll: TMenuItem;
    actFileClose: TAction;
    actEditCut: TEditCut;
    actEditCopy: TEditCopy;
    actEditPaste: TEditPaste;
    actEditSelectAll: TEditSelectAll;
    actEditDelete: TEditDelete;
    imgLogo: TImage;
    procedure timClockTimer(Sender: TObject);
    procedure actFileCloseExecute(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmBaseForm: TfrmBaseForm;

implementation

{$R *.xfm}

uses
  Math;

procedure TfrmBaseForm.timClockTimer(Sender: TObject);
begin
  barInfo.Panels[1].Text := DateTimeToStr(Now)
end;

procedure TfrmBaseForm.actFileCloseExecute(Sender: TObject);
begin
  Close
end;

procedure TfrmBaseForm.FormPaint(Sender: TObject);
var
  X, Y: Integer;
begin
  Y := 0;
  while Y < ClientHeight do
  begin
    X := 0;
    while X < ClientWidth do
    begin
      Canvas.Draw(X, Y, imgLogo.Picture.Bitmap);
      Inc(X, imgLogo.Width)
    end;
    Inc(Y, imgLogo.Height)
  end
end;

procedure TfrmBaseForm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  if MessageDlg('Are you sure?', mtConfirmation,
       [mbOk, mbCancel], 0) = mrCancel then
    CanClose := False
end;

end.
